<!DOCTYPE html>
<html onclick="procesaEvento(this,event)">
<head>
    <title>Custom events</title>
    <script type="text/javascript">
            function procesaEvento(elemento,e){
            console.log('evento click');
            console.log(elemento);
            console.log(e);
            } 
    </script>
</head>
<body onclick="procesaEvento(this,event)">
    <div onclick="procesaEvento(this,event)">Click aqui</div>
    <div id="div_principal">has click aqui</div>
    <script>
       function muestraMensaje() {
                console.log("has realizado un click con el raton");
              }
              var elDiv = document.getElementById("div_principal");
              elDiv.addEventListener("click", muestraMensaje, false);
    </script>
</body>
</html>